/* Includes ------------------------------------------------------------------*/

#ifdef _RTE_
#include "RTE_Components.h"             // Component selection
#endif
#ifdef RTE_CMSIS_RTOS2                  // when RTE component CMSIS RTOS2 is used
#include "cmsis_os2.h"                  // ::CMSIS:RTOS2
#endif
#include "rsi_chip.h"

extern uint64_t app_main_stk[];
extern const osThreadAttr_t app_main_attr;

extern void app_main (void *arg);
/**
  * @brief  Main program
  * @param  None
  * @retval None
  */
int main(void)
{
 /*system core clock update*/	
  SystemCoreClockUpdate();
   
	RSI_CLK_M4SocClkConfig(M4CLK,M4_ULPREFCLK,0);
	/*configure the system clcok to 180MHZ*/
	RSI_CLK_SetIntfPllFreq(M4CLK,180000000,40000000);
	
	RSI_CLK_M4SocClkConfig(M4CLK,M4_INTFPLLCLK,0);
  
	RSI_CLK_PeripheralClkEnable2(M4CLK,PLL_INTF_CLK_ENABLE);
  
  /* Initialize CMSIS-RTOS2 */
  osKernelInitialize ();

  /* Create application main thread */
  osThreadNew(app_main, NULL, &app_main_attr);

  /* Start thread execution */
  osKernelStart();

  /* Infinite loop */
  while (1)
  {
  }
}

