/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::USB:Device
 * Copyright (c) 2004-2018 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    VirtualCOM.c
 * Purpose: USB Device - Virtual COM Port example
 *----------------------------------------------------------------------------*/

#include "cmsis_os.h"                   /* CMSIS RTOS definitions             */
#include "rl_usb.h"                     /* RL-USB function prototypes         */

#ifdef RTE_Compiler_EventRecorder
#include "EventRecorder.h"
#endif

#include "rsi_chip.h"
#include "rsi_board.h"
/*------------------------------------------------------------------------------
 *        Application
 *----------------------------------------------------------------------------*/
int main (void) {
  /*Configures the system default clock*/
  SystemCoreClockUpdate();
	
	RSI_CLK_M4SocClkConfig(M4CLK,M4_ULPREFCLK,0);
	/*configure the system clcok to 120MHZ*/
	RSI_CLK_SetSocPllFreq(M4CLK,120000000,40000000);
	
	RSI_CLK_M4SocClkConfig(M4CLK,M4_SOCPLLCLK,0);
	#ifdef RTE_Compiler_EventRecorder
  EventRecorderInitialize(EventRecordAll, 1U);
	#endif
	
  USBD_Initialize         (0);          /* USB Device 0 Initialization        */
  USBD_Connect            (0);          /* USB Device 0 Connect               */
 

  while (1) {                           /* Loop forever                       */
    osSignalWait (0U, osWaitForever);
  }
}
