/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::USB:Device
 * Copyright (c) 2004-2018 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    MassStorage.c
 * Purpose: USB Device - Mass Storage example
 *----------------------------------------------------------------------------*/

#include "cmsis_os.h"                   /* CMSIS RTOS definitions             */
#include "rl_usb.h"                     /* RL-USB function prototypes         */
#include "rsi_chip.h"                   /*Board related function prototypes*/

#ifdef RTE_Compiler_EventRecorder
#include "EventRecorder.h"
#endif


/*------------------------------------------------------------------------------
 *        Application
 *----------------------------------------------------------------------------*/
int main (void) {
  /*Configure the default clock configuration*/ 
  SystemCoreClockUpdate();
	
	RSI_CLK_M4SocClkConfig(M4CLK,M4_ULPREFCLK,0);
	/*configure the system clcok to 120MHZ*/
	RSI_CLK_SetSocPllFreq(M4CLK,180000000,40000000);
	
	RSI_CLK_M4SocClkConfig(M4CLK,M4_SOCPLLCLK,0);
  /*Event Recorder initialization*/
	#ifdef RTE_Compiler_EventRecorder
  EventRecorderInitialize(EventRecordAll, 1U);
	#endif
  /* USB Device 0 Initialization        */
  USBD_Initialize         (0);         
  /* USB Device 0 Connect               */ 
  USBD_Connect            (0);          

  /* Loop forever                       */
  while (1) {                           
    osSignalWait (0U, osWaitForever);
  }
}
